#include <iostream>
#include <vector>

using namespace std;

int main(){
    int n;
    cin >> n;
    vector<pair<int,int>> parovi;

    int x,y;
    for(int i = 0; i < n-1; i++){
        cin >> x >> y;
        parovi.push_back(make_pair(x,y));
    }

    /// e pa stvarno ne znam kako da resim ovaj
    cout << 0;


    return 0;    
}